Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.popup
Class TestBean

    java.lang.Object
      com.tonbeller.wcf.popup.TestBean

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

public class TestBean
extends java.lang.Object
implements javax.servlet.http.HttpSessionBindingListener

Constructor Summary
`TestBean()`

Method Summary
`java.lang.String` | `getLastItem()`
`PopUp` | `getPopUp0()` Items w/o groups
`PopUp` | `getPopUp1a()` 2 Items in anonymous group
`PopUp` | `getPopUp1b()` 2 Items in named group
`PopUp` | `getPopUp2()`
`void` | `setLastItem(java.lang.String lastItem)`
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent e)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestBean

    public TestBean()

Method Detail

### getPopUp0

    public PopUp getPopUp0()

  Items w/o groups

### getPopUp1a

    public PopUp getPopUp1a()

  2 Items in anonymous group

### getPopUp1b

    public PopUp getPopUp1b()

  2 Items in named group

### getPopUp2

    public PopUp getPopUp2()

### getLastItem

    public java.lang.String getLastItem()

### setLastItem

    public void setLastItem(java.lang.String lastItem)

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent e)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent e)

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD